#ifndef NODE_H
#define NODE_H

template<class T>
class   Node
{

public:
    T get();
    void  set(T );

    Node<T>* getNext();
    void   setNext(Node<T>   * nextNode);

private:
    T object;
    Node<T>   * nextNode;
};

#endif
